GuideLab API

Refund Credit Note

Process a cash refund for remaining credit on a credit note. Lab-only. Creates a refund record and corresponding transaction.

POST
/credit-notes/{id}/refund

Process a cash refund for remaining credit on a credit note. Lab-only. Creates a refund record and corresponding transaction.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Credit note ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/credit-notes/550e8400-e29b-41d4-a716-446655440000/refund" \  -H "Content-Type: application/json" \  -d '{    "idempotencyKey": "stringst",    "amount": "string"  }'
{  "success": true,  "refundId": "string"}
{  "error": "string"}
{  "error": "string"}